/**
  *  \file game/storage.h
  */
#ifndef PCC_V2_GAME_STORAGE_H
#define PCC_V2_GAME_STORAGE_H

#include "cpluslib/smartptr.h"

class GGameTurn;

class GGameDataStorage {
 public:
    virtual ~GGameDataStorage();
    virtual void load(GGameTurn& trn) = 0;
    virtual void save(GGameTurn& trn) = 0;

    static Ptr<GGameDataStorage> instance;
};

class GGameDirectoryStorage : public GGameDataStorage {
    int player;
 public:
    GGameDirectoryStorage(int player);
    void load(GGameTurn& trn);
    void save(GGameTurn& trn);
};

class GGameResultStorage : public GGameDataStorage {
    int player;
    bool have_trn;
 public:
    GGameResultStorage(int player, bool have_trn);
    void load(GGameTurn& trn);
    void save(GGameTurn& trn);
};

#endif
