/**
  *  \file ui/combobox.h
  *
  *  (c) 2001-2011 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_UI_COMBOBOX_H
#define PCC_V2_UI_COMBOBOX_H

#include "ui/listbox.h"
#include "ui/widgets.h"

class UIComboBox : public UINumberSelector {
    const UIStringList& list;
 public:
    UIComboBox(int id, int min, int max, const UIStringList& list);
    ~UIComboBox();

    void drawContent(GfxCanvas& can);
    void popupMenu();
    void getLayoutInfo(LayoutInfo& li);
    bool handleCommand(const UICommand& cmd, UIBaseWidget& sender);
};

UIComboBox& createComboBoxControls(UIGroup& container, UIComboBox& box, ObjectHolder& h);

#endif
